Vsan Diagnostics System Query IO Diagnostics Stats

Vsan Diagnostics System Query IO Diagnostics Stats
Query the IO diagnostics stats according to the given diagnostics instance name.

Query the IO diagnostics stats according to the given diagnostics instance name.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanDiagnosticsSystem/{moId}/QueryIODiagnosticsStats
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanDiagnosticsSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryIODiagnosticsStatsRequestType of type(s) application/json
Required

Show optional properties

{
    "instanceName": "string"
}
{
    "instanceName": "string",
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
string
instanceName
Required

The completed diagnostics instance name.

cluster
Optional

The cluster where the diagnostics is performed.

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

The diagnostics stats.

[
    {
        "_typeName": "string",
        "target": {
            "_typeName": "string",
            "type": "string",
            "entityId": "string",
            "objUuids": [
                "string"
            ]
        },
        "objectsIODiagnosticsStats": [
            {
                "_typeName": "string",
                "objectsIOStats": [
                    {
                        "_typeName": "string",
                        "backingObjectId": "string",
                        "ioLatencyStats": [
                            {
                                "_typeName": "string",
                                "latencyType": "string",
                                "sourceEntityUuid": "string",
                                "destEntityUuid": "string",
                                "readLatencyStats": {
                                    "_typeName": "string",
                                    "totalCount": 0,
                                    "averageLatency": "number",
                                    "stddevLatency": "number"
                                },
                                "writeLatencyStats": {
                                    "_typeName": "string",
                                    "totalCount": 0,
                                    "averageLatency": "number",
                                    "stddevLatency": "number"
                                },
                                "detailedInfo": [
                                    {
                                        "_typeName": "string",
                                        "key": "string",
                                        "value": {
                                            "_typeName": "string"
                                        }
                                    }
                                ]
                            }
                        ],
                        "objectLayout": {
                            "_typeName": "string",
                            "layout": "string"
                        }
                    }
                ],
                "startTime": "string",
                "endTime": "string"
            }
        ]
    }
]
array of object
Optional

This data object describes the IO diagnostics target result.

This structure may be used only with operations rendered under /vsan.


500

InvalidArgument: if the given diagnostics instance name represent a running instance.

VsanFault: if the caller doesn't have the required privilege or if the vSAN performance service is disabled.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"instanceName":"string"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanDiagnosticsSystem/{moId}/QueryIODiagnosticsStats